#ifndef GUI_FONT_H
#define GUI_FONT_H

// Include windows.h if you are not compiling this 
// with mfc - shit..
//#include "windows.h"

#include "GUIinclude.h"


class GUIFont
{
  public:
	GUIFont(char* name);
   ~GUIFont();

    bool init();
	void destroy();
    bool isInitialized();
    void setHeight(int height);
    int  getHeight();
    void setWidth(int width);
    int  getWidth();
    int  getFontBase();

	// printstuff
	void setColor(float r_, float g_, float b_);
	void print(const char *str, int x, int y);
	void printCenteredX(const char *str, int x, int y);
	void printCenteredY(const char *str, int x, int y);
	void printCenteredXY(const char *str, int x, int y);

	int calculateWidth(const char *str);
	int calculateHeight(const char *str);

  private:
	bool  initialized;
    int   fontBase,
          height,
          width;
	float r,g,b;
	char *name;
};
#endif